| Home | Libraries | People | FAQ | More

##### async_base::release_handler

Returns ownership of the handler associated with this object.

###### Synopsis

    Handler
    release_handler();

###### Description

This function is used to transfer ownership of the handler to the caller, by move-construction. After the move, the only valid operations on the base object are move construction and destruction.